//------------------------------------------------------------------------------------------------
// SSD1311_Simple.ino
// Copyright (c) 2014, 2015, 2016, 2017, 2018 by Haute Solutions / Ed Van Every (www.haute-solutions.com)
//
// Program for writing to OLED Displays based on the SSD1311 controller.
//
// - Supports I2C Interface Mode Only
// - Autodetects/configures for both Arduino and Mega I2C Pinouts
// - Requires the OLED_SSD1311 OLED Class Library (by Haute Solutions)
//
// LICENSE:  This is free software: you can redistribute it and/or modify
//           it under the terms of the GNU General Public License as published by
//           the Free Software Foundation, either version 3 of the License, or
//           (at your option) any later version.
//
//           This program is distributed in the hope that it will be useful,
//           but WITHOUT ANY WARRANTY; without even the implied warranty of
//           MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//           GNU General Public License for more details.
//           <http://www.gnu.org/licenses/>.
//
//------------------------------------------------------------------------------------------------

#include <Arduino.h>
#include <Wire.h>

#include "OLED_SSD1311.h"

OLED oled(0x3C);                                        // Set I2C Address

void setup() {
  oled.Init();                                          // Init the Display
  oled.Clear();                                         // Clear the display

  oled.Display("Haute Solutions", "OLED Display", 1);   // Display Message (1 = Centered)
}

void loop() {

}




